Skip to main content
Resource Center/Network Service/Network Service Operations/Port Forwarding Operations
GETPort Forwarding OperationsSince 0.6SynchronousAuth Required

GetPortForwardingAttachableVmNics

GetPortForwardingAttachableVmNics

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • ruleUuidStringRequired

    The UUID of the port forwarding rule.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      来源IP地址。

    • macStringRequired

      No description provided.

    • netmaskStringRequired

      No description provided.

    • gatewayStringRequired

      No description provided.

    • metaDataStringRequired

      元数据。

    • deviceIdIntegerRequired

      设备ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/port-forwarding/{ruleUuid}/vm-instances/candidate-nics

/zstack/v1/port-forwarding/{ruleUuid}/vm-instances/candidate-nics

Operation ID

GetPortForwardingAttachableVmNics

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/port-forwarding/{ruleUuid}/vm-instances/candidate-nics?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "2eb90e57e12f400ba8349742840eb9f9", "vmInstanceUuid": "efa24e175ba34c1196f9818ea6f56e5f", "l3NetworkUuid": "39e4eeeb2b1e4bb885922cb5c6585277", "ip": "192.168.0.123", "mac": "fa:ef:34:5c:6c:00", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "internalName": "eth0", "deviceId": 0.0 } ] }

Change History

This API has no change history records yet.

View all change history